//+------------------------------------------------------------------+
//|                              ARROW_HERC_RSI_MTF_NR.mq4                                                             
//+------------------------------------------------------------------+
#property copyright "AHGduP"
#property link      "ARROW_HERC_RSI_MTF_NR"

#property indicator_chart_window
#include <WinUser32.mqh>
#property indicator_buffers 2
#property indicator_color1 White//Yellow
#property indicator_width1 4//2
#property indicator_color2 White//Yellow
#property indicator_width2 4//2

//====================================================================================


//=======================================================================================

extern string     CCI                   = "== TF 5Min CCI  ===";

extern int CCI50 = 50;
extern int CCI15 = 15;



//=======================================================================================

extern bool   Alarm_On       =  false ; 
extern bool   Alert_On       =  false ; 
extern int    LineSize       = 4 ;//4
extern int    Move_Arrow     = 15 ;//5
extern int    CountBars      = 2000 ;


double CCI50_up,CCI50_dn;
double CCI15_up,CCI15_dn;


double up1, down1 ;

double bBuffer1[];
double sBuffer1[];

bool alert_up, alert_down;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   IndicatorBuffers(2);
   SetIndexStyle(0,DRAW_ARROW,2, LineSize);//(0,DRAW_ARROW,0, LineSize);
   SetIndexBuffer(0,bBuffer1);
   SetIndexEmptyValue(0,0);
   SetIndexArrow(0,241);//116 = Diamond 
   
   SetIndexStyle(1,DRAW_ARROW,2, LineSize);
   SetIndexBuffer(1,sBuffer1);
   SetIndexEmptyValue(1,0);
   SetIndexArrow(1,242);//234
  
  up1   = 0 ;
  down1 = 0 ;
 

//=======================================================================================  
         }
          return(0);
//+--------------------------------------------------------------------------------------+
int start()
  {
     static int last_bar = 0;
   if(last_bar==Bars) return (0);
   last_bar = Bars;
   int limit,y=0,counted_bars=IndicatorCounted();
//=================================================   

     limit=Bars-counted_bars;

//==================================================
    
   if(counted_bars>0) limit++; else if (limit>100) limit=CountBars;  
     SetIndexDrawBegin(0,Bars-CountBars);
     SetIndexDrawBegin(1,Bars-CountBars);

   for(int i=CountBars-1;i>0;i--)
          {  

                   bBuffer1[i] = EMPTY_VALUE; 
                   sBuffer1[i] = EMPTY_VALUE;


         
//========================RSI 30 MIN ==================================================================================       
                     
   double CCICurr   = iCCI(NULL, 0, CCI15, PRICE_TYPICAL, i);
   double CCIPre    = iCCI(NULL, 0, CCI15, PRICE_TYPICAL, i+1);
   
   if (( CCIPre < 0 && CCICurr > 0)){CCI15_up=1;CCI15_dn=0;}
   if (( CCIPre > 0 && CCICurr < 0)){CCI15_up=0;CCI15_dn=1;}
   
   double CCI       = iCCI(NULL, 0, CCI50, PRICE_TYPICAL, i);
 
   
   if ((CCI > 0  )) {CCI50_up=1;CCI50_dn=0;}
   if ((CCI < 0 )) {CCI50_up=0;CCI50_dn=1;}
         

//=====================================================================================================================      

//========================== ARROWS A  2 cross 4 and 4 cross 8 ==========================================   
 
          if      (      up1 == 0   
             

                   && (CCI50_up + CCI15_up) == 2


                 && (CCI50_up) ==1
  
                 )
                   {   bBuffer1[i] = Low[i]- Move_Arrow*Point;
                       if   ( Alarm_On && !alert_up)
                            {     
                                  if(Alert_On) Alert(Symbol() + " M("+Period()+") - VM BUY");
                                   PlaySound("alert2.wav");
                                   alert_up=true;
                                   alert_down=false;
                            }
                      up1   = 1;  down1 = 0;
                  }    
//-------------------------------------------------------------------------------------------------         
         if     (       down1 ==0 

                 && (CCI50_dn + CCI15_dn) == 2

                 && (CCI50_dn) ==1

                )
                  {   sBuffer1[i] = High[i]+ Move_Arrow*Point;
                      if   ( Alarm_On && !alert_down)
                           {    
                                 if(Alert_On) Alert(Symbol() + " M("+Period()+") - VM SELL");
                                 PlaySound("alert2.wav");
                                 alert_down=true;
                                 alert_up=false;
                           }
                     down1 = 1;   up1   = 0;
                 }
//===========cancel signal  and re enter in same direction=========================================    
  
       if      (      up1 == 1
             
              
                && (CCI50_up) == 1
               && (CCI15_up) != 1

               )
                 { up1 = 0;   down1 = 0;
                 }    
              
  //-----------------------------------------------------------------------------------------------          
         
      if  (        down1 == 1 
         
             && (CCI50_dn) == 1
             &&  (CCI15_dn) != 1

          )
              {  up1 = 0;   down1 = 0;
              }
         

 //================================================================================================
      } 
        return(0);
     }
 //============================================================================================= ++       
 